Page MenuHomePhabricator

Provide search operator "is:mergeable" in Gerrit
Closed, ResolvedPublic

Description

According to http://stackoverflow.com/questions/23095496/how-to-search-for-changesets-in-gerrit-than-need-to-be-rebased/, Gerrit 2.9 introduces the search operator "is:mergeable" which indicates whether a changeset needs a manual rebase or not. This would allow for easy searches for "all changesets that I need to rebase".


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=50297

Details

Reference
bz63995

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:10 AM
bzimport added a project: Gerrit.
bzimport set Reference to bz63995.
bzimport added a subscriber: Unknown Object (MLST).
scfc created this task.Apr 16 2014, 11:30 AM
scfc added a comment.Apr 16 2014, 1:01 PM

Until then a short script to determine whether a branch is rebaseable according to Gerrit:

COMMITID="$(git log -1 --format=format:%B "$1"sed -ne 's/^Change-Id: //p;')"
MERGEABLE="$(curl -s "https://gerrit.wikimedia.org/r/changes/$COMMITID"sed -e 1djq '.mergeable')"
if [ "true" = "$MERGEABLE" ]; then
exit 0
fi
if [ "false" = "$MERGEABLE" ]; then
exit 1
fi
echo "Unknown result: $MERGEABLE"
exit 2
demon removed a subscriber: demon.Dec 8 2014, 6:33 PM
demon closed this task as Resolved.Jul 25 2016, 3:32 PM
demon claimed this task.
demon added a subscriber: demon.

This is a thing now.